//WINDOW BUILDER PROJECT MASTER SRC//
#include <WScom.h>
#include <WSDappDev.h>
#include <WSCbaseList.h>


char* mou[] = {
" 0     132        0          black      white",
NULL};

void _mouse_init_(){
  WSGFloadMouseCursorData(mou);
}

char* fon[] = {
"14 jisx0201.1976 jisx0208.1983 * misc misc misc",
"16 jisx0201.1976 jisx0208.1983 * * * *",
"24 jisx0201.1976 jisx0208.1983 * * jis *",
"24 jisx0201.1976 jisx0208.1983 * * jis *",
"24 jisx0201.1976 jisx0208.1983 * * jis *",
"24 jisx0201.1976 jisx0208.1983 * * jis *",
"24 jisx0201.1976 jisx0208.1983 * * jis *",
"24 jisx0201.1976 jisx0208.1983 * * jis *",
NULL};

void _font_init_(){
  WSGFloadFontData(fon);
}
class _init_app_class_{
  public: _init_app_class_(){
    WSGFdeviceInitialize();
    WSGIappDev()->setInitHandler(_font_init_);
    WSGIappDev()->setInitHandler(_mouse_init_);
    WSDappDev* app = WSGIappDev();
    app->setInstanceName("wscalc");
  };
};
static _init_app_class_ _execute_app_class_;

//--- OBJECT execute auto initialize ---//
extern WSDLEX void _create_win_newwin000();
class _initialize_window_0{
 public: _initialize_window_0(){
  WSGIappDev()->setInitHandler(_create_win_newwin000);
 };
};
static _initialize_window_0 _execute_initialize_0;
